Skip to main content
GET
Retrieve a list of the client's balances
Get all balances for all accounts for a given client.

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

X-Contact-ID
string

The ID of the contact

Query Parameters

currencies
string
required

A comma-separated list of currency codes compliant to ISO 4217

client_id
string
required

The ID of the client

balance_types
enum<string>[]

The balance types to be retrieved. Multiple types can be specified by repeating the parameter (e.g., balance_types=InterimAvailable&balance_types=Outgoing).

Available options:
InterimAvailable,
RequiredFunds,
RequiredFundsImmediate,
Outgoing,
Incoming,
InitialMargin,
MarginCall,
Processing
page
integer

Page number (1-indexed) for paginated results

Required range: x >= 1
page_size
integer

Number of items per page (default 50, max 100)

Required range: 1 <= x <= 100
sort_by
enum<string>

Field to sort results by. Use 'currency' to sort alphabetically by currency code, or a balance type name to sort by that balance's amount.

Available options:
currency,
InterimAvailable,
RequiredFunds,
RequiredFundsImmediate,
Outgoing,
Incoming,
InitialMargin,
MarginCall,
Processing
sort_order
enum<string>

Sort order for results

Available options:
asc,
desc
pinned_currencies
string

Comma-separated list of currency codes to pin to the top of results

Response

A list with the client's balances.

account_id
string | null
required

The UUID of the account. Null for aggregate balance types (Incoming, Outgoing, RequiredFundsImmediate, Processing) which are calculated across all accounts for a currency.

amount
object
required
credit_debit_indicator
enum<string>
required

Whether the balance is credit or debit

Available options:
Credit,
Debit
datetime
string
required

The date and time when the balance was calculated.

type
enum<string>
required

Balance type enumeration. RequiredFundsImmediate: items due now (same as Ebury Online). RequiredFunds: includes future-dated items (kept for backwards compatibility).

Available options:
InterimAvailable,
RequiredFunds,
RequiredFundsImmediate,
Outgoing,
Incoming,
InitialMargin,
MarginCall,
Processing